org.eclipse.aether.impl

## Interface UpdateCheckManager

- All Known Implementing Classes:
    DefaultUpdateCheckManager

      public interface UpdateCheckManager

  Determines if updates of artifacts and metadata from remote repositories are needed.
  Restriction:
    This interface is not intended to be extended by clients.
  Restriction:
    This interface is not intended to be implemented by clients.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkArtifact(RepositorySystemSession session, UpdateCheck<Artifact,ArtifactTransferException> check)` Checks whether an artifact has to be updated from a remote repository.
    `void` | `checkMetadata(RepositorySystemSession session, UpdateCheck<Metadata,MetadataTransferException> check)` Checks whether metadata has to be updated from a remote repository.
    `void` | `touchArtifact(RepositorySystemSession session, UpdateCheck<Artifact,ArtifactTransferException> check)` Updates the timestamp for the artifact contained in the update check.
    `void` | `touchMetadata(RepositorySystemSession session, UpdateCheck<Metadata,MetadataTransferException> check)` Updates the timestamp for the metadata contained in the update check.

- - ### Method Detail

    - #### checkArtifact

          void checkArtifact(RepositorySystemSession session,
                           UpdateCheck<Artifact,ArtifactTransferException> check)

      Checks whether an artifact has to be updated from a remote repository.
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `check` - The update check request, must not be `null`.

    - #### touchArtifact

          void touchArtifact(RepositorySystemSession session,
                           UpdateCheck<Artifact,ArtifactTransferException> check)

      Updates the timestamp for the artifact contained in the update check.
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `check` - The update check request, must not be `null`.

    - #### checkMetadata

          void checkMetadata(RepositorySystemSession session,
                           UpdateCheck<Metadata,MetadataTransferException> check)

      Checks whether metadata has to be updated from a remote repository.
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `check` - The update check request, must not be `null`.

    - #### touchMetadata

          void touchMetadata(RepositorySystemSession session,
                           UpdateCheck<Metadata,MetadataTransferException> check)

      Updates the timestamp for the metadata contained in the update check.
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `check` - The update check request, must not be `null`.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.